Subject: Re: [Teas] Fw: I-D Action: draft-ietf-teas-yang-rsvp-16.txt

From: t petch <[email-masked]>
Date: Thu, 5 Aug 2021 12:24:58 +0100

> From: Teas <[email-masked]> on behalf of Tarek Saad <tsaad=[email-masked]>
> Sent: 19 February 2021 20:11
> To: [email-masked]; [email-masked]
> Subject: Re: [Teas] I-D Action: draft-ietf-teas-yang-rsvp-16.txt
>
> Hi WG,
>
> This revision includes editorial updates as well as the addition of "Appendix A" for example instance data tree using this model.
> With these changes, the authors believe I-D is ready to progress to WGLC.

Mmm I think not.

I cannot make sense of Graceful Restart and while this is in part my
ignorance, in part it is not.

RFC3473 says that Restart and Recovery times are in milliseconds and
that zero and FFFFFFFF have a special meaning.

YANG local/neighbor restart/recovery all have units seconds default 120
although the YANG description of recovery says it is milliseconds.  zero 
gets a mention, FFFFFFFF does not.

I assume that the neighbor values may come from a Restart_Cap and so was
thinking that they should be config false but note that the RFC3473 says
that they may be configured.  This needs describing, probably needs
modelling, two separate pairs of objects perhaps.

Helper I do not understand.  The term is not present in the referenced
RFC5063 (nor in RFC3473 or RFC5495).  You need a better reference for it.
Lacking that I cannot check what units should be but by analogy with
restart/recovery I might expect milliseconds again and wonder about 
recommended defaults which the RFC have for some objects.

Where do the helper values come from?  What object of what message when?

Separately
       leaf destination-port {
         type inet:ip-address;
looks odd

I have yet to review much of this I-D having gotten bogged down on
Graceful Restart so expect to have more comments

Tom Petch

----- Original Message -----
From: "Tarek Saad" <[email-masked]>
To: <tom petch>; <[email-masked]>
Sent: Wednesday, February 24, 2021 3:47 PM

>
> On 2/19/21, 3:00 PM, "Teas on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:
>
>
>      A New Internet-Draft is available from the on-line Internet-Drafts directories.
>      This draft is a work item of the Traffic Engineering Architecture and Signaling WG of the IETF.
>
>              Title           : A YANG Data Model for Resource Reservation Protocol (RSVP)
>              Authors         : Vishnu Pavan Beeram
>                                Tarek Saad
>                                Rakesh Gandhi
>                                Xufeng Liu
>                                Igor Bryskin
>      Filename        : draft-ietf-teas-yang-rsvp-16.txt
>      Pages           : 57
>      Date            : 2021-02-19
>
>      Abstract:
>         This document defines a YANG data model for the configuration and
>         management of the RSVP protocol.  The YANG data model covers the
>         building blocks that may be augmented by other RSVP extension data
>         models such as RSVP Traffic-Engineering (RSVP-TE).  It is divided
>         into two modules that cover the basic and extended RSVP features.
>
>
>      The IETF datatracker status page for this draft is:
>      https://datatracker.ietf.org/doc/draft-ietf-teas-yang-rsvp/
>
>      There are also htmlized versions available at:
>      https://tools.ietf.org/html/draft-ietf-teas-yang-rsvp-16
>      https://datatracker.ietf.org/doc/html/draft-ietf-teas-yang-rsvp-16
>
>      A diff from the previous version is available at:
>      https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-yang-rsvp-16
>
>
>      Please note that it may take a couple of minutes from the time of submission
>      until the htmlized version and diff are available at tools.ietf.org.
>
>      Internet-Drafts are also available by anonymous FTP at:
>      ftp://ftp.ietf.org/internet-drafts/
>
>
>      _______________________________________________
>      Teas mailing list
>      [email-masked]
>      https://www.ietf.org/mailman/listinfo/teas
>
>
> Juniper Business Use Only
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas
>